<?php
namespace Ep\Form\View\Helper;

use Zend\Form\ElementInterface;
use Zend\Form\View\Helper\FormButton as BaseFormButton;

/**
 * Renderira <button> element.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormButton extends BaseFormButton
{
    /**
     * Renderira button.
     *
     * @param ElementInterface $element Element.
     *
     * @param null $buttonContent
     *
     * @return string
     */
	public function render(ElementInterface $element, $buttonContent = null)
	{
	    $classes = explode(' ', $element->getAttribute('class'));

	    if (false === array_search('btn', $classes)) {
	        array_unshift($classes, 'btn');
	        $element->setAttribute('class', implode(' ', $classes));
        }

        return parent::render($element, $buttonContent);
	}
}