<?php
namespace Ep\Middleware;

use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;
use Zend\ServiceManager\PluginManagerInterface;
use Zend\View\HelperPluginManager;

/**
 * Stvara novu instancu BaseUrl middlewarea.
 *
 * @package Ep\Middleware
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class BaseUrlFactory implements FactoryInterface
{
    /**
     * Stvara middleware.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return BaseUrl
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        /** @var PluginManagerInterface $helpers */
        $helpers = $container->get(HelperPluginManager::class);
        $basePath = $helpers->get('base_url');

        return new BaseUrl($basePath);
    }
}