<?php
namespace Ep\View\Helper;

use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;

/**
 * Stvara novu instancu AssetUrl ViewHelpera.
 *
 * @package Ep\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class AssetUrlFactory implements FactoryInterface
{
    /**
     * Stvara ViewHelper.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return AssetUrl
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $config = $container->get('config')['app'] ?? [];
        $options = [];

        if (isset($config['asset_manifest'])) {
            $options['manifest_path'] = $config['asset_manifest'];
        }

        if (isset($config['asset_url'])) {
            $options['public_path'] = $config['asset_url'];
        }

        return new AssetUrl($options);
    }
}