<?php
namespace EpTest\Middleware;

use EpTest\ContainerAwareTrait;
use PHPUnit\Framework\TestCase;

/**
 * Class AppTest
 *
 * @package EpTest\Middleware
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class AppTest extends TestCase
{
    use ContainerAwareTrait;

    /** @var string */
    protected $cwd;

    /**
     * Postavljanje testa.
     */
    protected function setUp()
    {
        parent::setUp();

        // spremamo trenutni dir za kasnije.
        $this->cwd = getcwd();
        chdir(__DIR__);
    }

    /**
     * Čišćenje nakon testa.
     */
    protected function tearDown()
    {
        parent::tearDown();

        // brišemo datoteke koje napravimo tijekom testova.
        $filesToDelete = [
            'var/log/app.log',
            'var/log',
            'var'
        ];

        foreach ($filesToDelete as $file) {
            if (is_dir($file)) {
                rmdir($file);
            } else {
                unlink($file);
            }
        }

        // vraćamo cwd gdje smo bili.
        chdir($this->cwd);
    }


    public function testAppLoggerWillCreateVarLog()
    {
        $container = $this->createContainer();
        /** @noinspection PhpUnhandledExceptionInspection */
        $container->get('app.logger');

        $this->assertTrue(file_exists('var/log/app.log'));
    }
}